Skip to content
Start here

Get Event

GET/accounts/{account_id}/magic/connectors/{connector_id}/telemetry/events/{event_t}.{event_n}

Get Event

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN Read
Path ParametersExpand Collapse
account_id: string

Account identifier

maxLength32
connector_id: string
event_t: number
event_n: number
ReturnsExpand Collapse
result: object { e, n, t, v }

Recorded Event

e: object { k } or object { k } or object { k } or 13 more
One of the following:
Init object { k }
k: "Init"

Initialized process

Leave object { k }
k: "Leave"

Stopped process

StartAttestation object { k }
k: "StartAttestation"

Started attestation

FinishAttestationSuccess object { k }
k: "FinishAttestationSuccess"

Finished attestation

FinishAttestationFailure object { k }
k: "FinishAttestationFailure"

Failed attestation

StartRotateCryptKey object { k }
k: "StartRotateCryptKey"

Started crypt key rotation

FinishRotateCryptKeySuccess object { k }
k: "FinishRotateCryptKeySuccess"

Finished crypt key rotation

FinishRotateCryptKeyFailure object { k }
k: "FinishRotateCryptKeyFailure"

Failed crypt key rotation

StartRotatePki object { k }
k: "StartRotatePki"

Started PKI rotation

FinishRotatePkiSuccess object { k }
k: "FinishRotatePkiSuccess"

Finished PKI rotation

FinishRotatePkiFailure object { k }
k: "FinishRotatePkiFailure"

Failed PKI rotation

StartUpgrade object { k, url }
k: "StartUpgrade"

Started upgrade

url: string

Location of upgrade bundle

FinishUpgradeSuccess object { k }
k: "FinishUpgradeSuccess"

Finished upgrade

FinishUpgradeFailure object { k }
k: "FinishUpgradeFailure"

Failed upgrade

Reconcile object { k }
k: "Reconcile"

Reconciled

ConfigureCloudflaredTunnel object { k }
k: "ConfigureCloudflaredTunnel"

Configured Cloudflared tunnel

n: number

Sequence number, used to order events with the same timestamp

t: number

Time the Event was recorded (seconds since the Unix epoch)

v: optional string

Version

success: boolean
errors: optional array of object { code, message }
code: number
message: string
messages: optional array of object { code, message }
code: number
message: string

Get Event

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/magic/connectors/$CONNECTOR_ID/telemetry/events/$EVENT_T.$EVENT_N \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "e": {
      "k": "Init"
    },
    "n": 0,
    "t": 0,
    "v": "v"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}
Returns Examples
{
  "result": {
    "e": {
      "k": "Init"
    },
    "n": 0,
    "t": 0,
    "v": "v"
  },
  "success": true,
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ]
}